## Class unexpected_call

boost::log::unexpected_call — Exception class that is used to indicate invalid call sequence.

## Synopsis

    // In header: <boost/log/exceptions.hpp>

    class unexpected_call : public logic_error {
    public:

      // public member functions
      unexpected_call();
      explicit unexpected_call(std::string const &);
      ~unexpected_call();
    };

## Description

### `unexpected_call` public member functions

1.     unexpected_call();

   Default constructor. Creates an exception with the default error message.

2.     explicit unexpected_call(std::string const & descr);

   Initializing constructor. Creates an exception with the specified error message.

3.     ~unexpected_call();

   Destructor